X
Tap here to go to the mobile version of the site.

Support Forum

will Mozilla work on Windows XP after Microsoft stops supporting XP in April?

Posted

Please let me know if Mozilla will work on Windows XP after Microsoft stops their support of XP in April 2014?

Please let me know if Mozilla will work on Windows XP after Microsoft stops their support of XP in April 2014?

Additional System Details

Installed Plug-ins

  • Google Update
  • Shockwave Flash 12.0 r0
  • McAfee MSS+ NPAPI Plugin
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.06
  • Next Generation Java Plug-in 10.51.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • GEPlugin
  • Catalina Savings Printer
  • Picasa plugin
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Netscape Network Object
  • Npdsplay dll
  • DRM Store Netscape Plugin

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:27.0) Gecko/20100101 Firefox/27.0

More Information

Diego Victor
  • Moderator
658 solutions 4175 answers

Helpful Reply

Firefox will work in Windows XP, but doesn't work in windows with Service Pack 1 and 2(Service Pack i'm not 100% sure), but in Service Pack 3 yes

Firefox will work in Windows XP, but doesn't work in windows with Service Pack 1 and 2(Service Pack i'm not 100% sure), but in Service Pack 3 yes
James
  • Top 25 Contributor
  • Moderator
1245 solutions 8685 answers

Windows XP SP2 is still the minimum required to ruin Firefox 13.0 and newer including the current Firefox 27.0.1

Development builds of Firefox 30.0a1 on the Nightly channel still work on Windows XP.

http://www.mozilla.org/en-US/firefox/27.0.1/system-requirements/ http://www.mozilla.org/en-US/firefox/13.0/system-requirements/

Windows XP '''SP2''' is still the minimum required to ruin Firefox 13.0 and newer including the current Firefox 27.0.1 Development builds of Firefox 30.0a1 on the Nightly channel still work on Windows XP. http://www.mozilla.org/en-US/firefox/27.0.1/system-requirements/ http://www.mozilla.org/en-US/firefox/13.0/system-requirements/